%define upstream_name    Search-Xapian
%define upstream_version 1.2.23.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Xapian perl bindings

Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/module/Search::Xapian
Source0:    http://cpan.netnitco.net/authors/id/O/OL/OLLY/Search-Xapian-%{version}.tar.gz

BuildRequires: perl(Devel::Leak)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: xapian-devel
%{?perl_default_filter}
BuildRequires: perl-devel
%description
Perl XS frontend to the Xapian C++ search library.

%prep
%setup -q -n Search-Xapian-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make

%install
%makeinstall_std

%check
make test

%files
%doc Changes META.yml MYMETA.yml README XS examples
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.2.23.0-2.mga6
+ Revision: 1033025
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 1.2.23.0-1.mga6
+ Revision: 999528
- update to 1.2.23.0

* Thu Mar 24 2016 shlomif <shlomif> 1.2.22.0-1.mga6
+ Revision: 994883
- update to 1.2.22.0

* Fri Feb 12 2016 umeabot <umeabot> 1.2.21.0-3.mga6
+ Revision: 957953
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.2.21.0-2.mga6
+ Revision: 845242
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.2.21.0-1.mga6
+ Revision: 841719
- update to 1.2.21.0

* Wed Oct 15 2014 umeabot <umeabot> 1.2.18.0-4.mga5
+ Revision: 750744
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.2.18.0-3.mga5
+ Revision: 733373
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.2.18.0-2.mga5
+ Revision: 686184
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 sander85 <sander85> 1.2.18.0-1.mga5
+ Revision: 639237
- update to 1.2.18.0

* Tue Jun 03 2014 pterjan <pterjan> 1.2.17.0-2.mga5
+ Revision: 631663
- Rebuild for perl 5.20

* Mon Feb 17 2014 jquelin <jquelin> 1.2.17.0-1.mga5
+ Revision: 593783
- update to 1.2.17.0

* Tue Feb 04 2014 shlomif <shlomif> 1.2.16.0-1.mga5
+ Revision: 581308
- update to 1.2.16.0

* Sat Oct 19 2013 umeabot <umeabot> 1.2.15.0-2.mga4
+ Revision: 525151
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 1.2.15.0-1.mga4
+ Revision: 432416
- New version 1.2.15.0

* Wed May 29 2013 jquelin <jquelin> 1.2.10.0-3.mga4
+ Revision: 431742
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.10.0-2.mga3
+ Revision: 372560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.2.10.0-1.mga3
+ Revision: 330314
- New version: 1.2.10.0

* Wed Nov 28 2012 shlomif <shlomif> 1.0.20.0-1.mga3
+ Revision: 322572
- Add perl-devel missing dependency
- mkrel
- Defodoraization cleanups.
- Importing perl-Search-Xapian based on Fedora RawHide


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.20.0-6
- Perl mass rebuild

* Thu Jun 09 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.20.0-5
- Perl 5.14 mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0.20.0-3
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0.20.0-2
- Mass rebuild with perl-5.12.0

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 1.0.20-1
- Updated to latest 1.0.20

* Wed Jan 13 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 1.0.17-1
- Updated to latest 1.0.17

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.0.15.0-2
- rebuild against perl 5.10.1

* Sun Sep 13 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.15.0-1
- Updated to 1.0.15 to match xapian-core new updates

* Sun Aug 23 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-5
- Cleaned %%files section and fixed version in changelog

* Tue Aug 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-4
- Fixed license issue

* Tue Aug 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-3
- Fixed version tag

* Tue Aug 11 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-2
- Updated the license

* Tue Aug 11 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-1
- Initial version
